body,
.editor-styles-wrapper {
  color: var(--wp--preset--color--almost-black);
}
.editor-styles-wrapper h1.wp-block-post-title {
  color: black !important;
}

.wp-block-image img {
  /* WP 6.3 doesn't let this work with "defined" image sizes now */
  height: auto !important;
}


@media (max-width: 960px) {
  /* TODO: add into parent theme */
  .mobile-justify-space-between {
    justify-content: space-between !important;
  }
}

/* better default to use? */
.wp-block-gallery.has-nested-images figure.wp-block-image {
  flex-grow: 0;
}

/* elements that are first remove the owl selector -- talk to visbility selector plugin dev */
.remove-top-margin {
  margin-top: 0 !important;
}



/* TODO: parent theme default? */
.wp-element-button > * {
  vertical-align: middle;
}


/* TODO: remove from parent */
header .wp-block-navigation {
  order: unset;
}
.equal-height-cols>.wp-block-column {
  max-width: none;
}

/* block social lacks this option */
.wp-block-social-links svg:hover {
  color: var(--wp--preset--color--orange) !important;
}


div h2 a:focus,
div h2 a:hover,
div h3 a:focus,
div h3 a:hover {
  color: var(--wp--preset--color--orange) !important;
}



/* customize */

h1:not([class*='wp-block']),
h2:not([class*='wp-block']),
h3:not([class*='wp-block']) {
  margin-top: 0; /* WC non-block items */
}


/* parent theme override */
.wp-site-blocks .wp-block-group .wp-block-button__link:focus,
.wp-site-blocks .wp-block-group .wp-block-button__link:hover,
.wp-site-blocks .wp-block-group .wp-block-button__link:active {
  background: var(--wp--preset--color--white) !important;
  color: var(--wp--preset--color--beige) !important;
  border-color: var(--wp--preset--color--white) !important;
}
.wp-site-blocks .wp-block-group .wp-block-button__link:focus img,
.wp-site-blocks .wp-block-group .wp-block-button__link:hover img,
.wp-site-blocks .wp-block-group .wp-block-button__link:active img {
  filter: brightness(100);
}




/*--- Gravity Forms customization ---*/
#gform_wrapper_1 .gform_footer,
#gform_wrapper_2 .gform_footer {
  justify-content: flex-end;
}
#gform_submit_button_1:hover,
#gform_submit_button_2:hover,
#gform_submit_button_1:focus,
#gform_submit_button_2:focus {
  /* Limitation: Can't change this via editor yet */
  background: var(--wp--preset--color--white);
  color: var(--wp--preset--color--beige);
  border-color: var(--wp--preset--color--white);
}





/* Gutenberg missing features */



/* classes to use (that aren't BlockStyles) */
.menu-button {
  padding: 20px 20px 20px 15px !important;
  letter-spacing: normal !important;
  border: 1px solid rgb(46 32 6 / 25%);
  border-radius: 40px;
}
.menu-button img {
  vertical-align: middle;
}

@media (max-width: 781px) {
  /* cover block min-height */
  .mobile-ignore-min-height {
    min-height: auto !important;
  }
  .footer-menu {
    row-gap: 18px;
  }
  .footer-menu .wp-block-navigation-item {
    flex-basis: 100%;
  }
}





/* BlockStyle Variations to use (see functions.php) */
.is-style-no-box-shadow .wp-block-button__link {
  box-shadow: none;
}
.wp-block-separator {
  border-top: 0;
}

.is-style-top-header-padding.wp-block-cover {
  padding-top: calc(8vw + 180px);
  margin-top: -180px;
}
.is-style-heading-shadow {
  text-shadow: 0 0 8px rgb(0 0 0 / 50%);
}


/* Custom Block Overrides */
/* -none- */


/* Custom Shortcodes Overrides */
.social_items_flex {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  position: fixed;
  left: 10px;
  bottom: 60px;
  z-index: 999999;
}
.social_button {
  height: 60px;
  width: 60px;
  float: left;
  margin: 5px;
  overflow: hidden;
  background: #fff;
  border-radius: 50px;
  cursor: pointer;
  box-shadow: 0 10px 10px rgba(0,0,0,0.1);
  transition: all 0.3s ease-out;
}
.social_button:hover {
  width: 330px;
}
.google_button .floating_icon {
  color: #354937;
}
.social_button .floating_icon {
  display: inline-block;
  height: 60px;
  width: 60px;
  text-align: center;
  border-radius: 50px;
  box-sizing: border-box;
  line-height: 60px;
  transition: all 0.3s ease-out;
}
.google_button:hover .floating_icon {
  background: #354937;
}
.svg-inline--fa {
  display: inline-block;
  font-size: inherit;
  height: 1em;
  /* overflow: visible; */
  vertical-align: -0.125em;
}
.social_button:hover .floating_icon svg {
  color: #fff !important;
}
.floating_icon + p {
  display: inline;
  font-size: 20px;
  font-weight: 500;
  line-height: 60px;
  margin-left: 10px;
  transition: all 0.3s ease-out;
}
.google_button:hover .floating_icon + p {
  color: #354937;
}
@media (max-width: 1040px) {
  .social_items_flex {
    display: none;
  }
}
